Skip to main content
`Ctrl`+`K`

# EPSViewFromOptions

View (print) an `EPS` object based on values in the options database.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSViewFromOptions(EPS eps,PetscObject obj,const char name[])

Collective

## Input Parameters

- eps - the linear eigensolver context

- obj - optional object that provides the options prefix used to query the options database

- name - command line option

## See Also

EPS: Eigenvalue Problem Solver, `EPSView()`, `EPSCreate()`, `PetscObjectViewFromOptions()`

## Level

intermediate

## Location

src/eps/interface/epsview.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages